#pragma once
#include "DrawableBase.h"
#include "Logger.h"
#include "Structs.h"
#include "Surface.h"

class Lines : public DrawableBase<Lines>
{
public:
	Lines(Graphics& gfx, StructVertexWithColor vertices[], int vertexSize, Logger& logger);
	void Update(float dt) noexcept override;
	DirectX::XMMATRIX GetTransformXM(Graphics& gfx) const noexcept override;
private:
	//StructVertex vertices[24];
	// trasformation
	float dx = 0.0f;
	float dy = 0.0f;
	float dz = 0.0f;
};